MDaemon WorldClient < 10.0.2 Script Injection

Medium Nessus Network Monitor Plugin ID 4765

Synopsis

The remote mail server is prone to a script injection vulnerability.

Description

The remote host is running Alt-N MDaemon, a mail server for Windows. According to its banner, a version of MDaemon mail server older than 10.0.2 is installed on the remote host. Such versions ship with a version of WorldClient (a webmail client) that is affected by a script injection vulnerability. By tricking a user into opening a specially crafted email, an attacker can exploit this issue to execute script code in the user's browser in the security context of the affected application and thereby steal cookie based credentials or launch other attacks.

Solution

Upgrade to version 10.0.2 or higher.

See Also

http://files.altn.com/MDaemon/Release/RelNotes_en.txt

Plugin Details

Severity: Medium

ID: 4765

File Name: 4765.prm

Family: POP Server

Published: 2008/11/21

Modified: 2016/01/21

Dependencies: 3035

Nessus ID: 34849

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 6.5

Temporal Score: 5.4

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSSv3

Base Score: 6.3

Temporal Score: 5.9

Vector: CVSS3#AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:F/RL:O/RC:C

Reference Information

CVE: CVE-2008-6967

BID: 32355

OSVDB: 50011